GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
      Get Available BalancesGet Notional BalancesList Deposit AddressesCreate New Deposit AddressList Past TransfersList Custody Fee TransfersWithdraw Crypto FundsGet Gas Fee EstimationAdd BankAdd Bank (CAD)List Payment MethodsList Approved AddressesCreate New Approved AddressRemove Approved AddressTransfer Between AccountsGet Transaction History
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Add Bank (CAD)

TradingFund ManagementAdd Bank (CAD)

Add Bank (CAD)

POSThttps://api.gemini.com/v1/payments/addbank/cad

Adds CAD banking information to your account via API. To verify the bank, you must still send a wire for any amount from the bank account.

POSTv1/payments/addbank/cad
curl --request POST \
  --url https://api.gemini.com/v1/payments/addbank/cad \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/payments/addbank/cad",
  "nonce": "<nonce>",
  "swiftcode": "ROYCCAT2",
  "accountNumber": "0011011100",
  "type": "checking",
  "name": "My CAD Bank Account"
}
'

Roles

The API key you use to access this endpoint must have the Fund Manager role assigned. See Roles for more information.

The OAuth scope must have banks:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/payments/addbank/cad"
nonceTimestampType | integer·required
timestampExample: 1495127793000
swiftcodestring·required
The account SWIFT code
accountNumberstring·required
Account number of bank account to be added
institutionNumberstring
The institution number of the account - optional but recommended.
branchnnumberstring
The branch number - optional but recommended.
typestring·enum·required
Type of bank account to be added. Accepts `checking` or `savings`Enum values: checkingsavings
namestring·required
The name of the bank account as shown on your account statements
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Master API keys can get all account names using the [Get Accounts endpoint](/rest/account-administration#list-accounts-in-group).
Example request body
{
  "request": "/v1/payments/addbank/cad",
  "nonce": "<nonce>",
  "swiftcode": "swift-code-string",
  "accountnumber": "account-number-string",
  "institutionnumber": "institution-number-string",
  "branchnumber": "branch-number-string",
  "type": "checking",
  "name": "Satoshi Nakamoto Checking",
  "account": "account-string"
}

Responses

Successful operation

resultstring
Status of the request. "OK" indicates the account has been created successfully.
Example Responses
{
  "result": "OK"
}
PreviousAdd BankNextList Payment Methods
Last modified on May 5, 2026